"""HF Resolver"""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../../nbs/05_hf.resolver.ipynb.

# %% auto 0
__all__ = ['Resolver']

# %% ../../nbs/05_hf.resolver.ipynb 3
"""
Resolver module
"""


class Resolver:
    """
    Resolves a Python class path
    """

    def __call__(self, path):
        """
        Class instance to resolve.

        Args:
            path: path to class

        Returns:
            class instance
        """

        # Split into path components
        parts = path.split(".")

        # Resolve each path component
        module = ".".join(parts[:-1])
        m = __import__(module)
        for comp in parts[1:]:
            m = getattr(m, comp)

        # Return class instance
        return m
